Bug 1626737 - Outdated package with breaking bug
Summary: Outdated package with breaking bug
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: youtube-dl
Version: 28
Hardware: noarch
OS: All
unspecified
high
Target Milestone: ---
Assignee: Till Maas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-08 02:47 UTC by rea.aft
Modified: 2018-09-27 04:50 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-09-11 17:00:34 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Github rg3 youtube-dl issues 17457 None None None 2018-09-08 02:49 UTC

Description rea.aft 2018-09-08 02:47:47 UTC
Description of problem: A change on youtube broke this package, but it's already fixed on upstream. Just need to update the package here.

About the bug:
https://github.com/rg3/youtube-dl/issues/17457


Version-Release number of selected component (if applicable):
2018.08.04 (1.fc28)


How reproducible: Easy. The first post on the GitHub issue here have details.

Comment 1 Matěj Cepl 2018-09-08 08:29:25 UTC
The weird thing is that when downloading with the full URL, everything seems to work:

$ youtube-dl 'https://www.youtube.com/watch?v=6fL3E8FRxiw'
[youtube] 6fL3E8FRxiw: Downloading webpage
[youtube] 6fL3E8FRxiw: Downloading video info webpage
[download] Destination: The Unthanks - King of Rome (2012 Folk Music Awards)-6fL3E8FRxiw.f134.mp4
[download] 100% of 16.40MiB in 00:07
[download] Destination: The Unthanks - King of Rome (2012 Folk Music Awards)-6fL3E8FRxiw.f140.m4a
[download] 100% of 6.97MiB in 00:03
[ffmpeg] Merging formats into "The Unthanks - King of Rome (2012 Folk Music Awards)-6fL3E8FRxiw.mp4"
Deleting original file The Unthanks - King of Rome (2012 Folk Music Awards)-6fL3E8FRxiw.f134.mp4 (pass -k to keep)
Deleting original file The Unthanks - King of Rome (2012 Folk Music Awards)-6fL3E8FRxiw.f140.m4a (pass -k to keep)
$ rpm -qf `which youtube-dl`
youtube-dl-2018.08.04-1.el7.noarch
$

Anyway, upgrading the package while writing this.

Comment 2 Fedora Update System 2018-09-08 08:59:25 UTC
youtube-dl-2018.09.08-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-f9e0a23883

Comment 3 Fedora Update System 2018-09-08 08:59:31 UTC
youtube-dl-2018.09.08-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-737a515cbb

Comment 4 Fedora Update System 2018-09-08 08:59:36 UTC
youtube-dl-2018.09.08-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-de1da47742

Comment 5 Fedora Update System 2018-09-08 08:59:42 UTC
youtube-dl-2018.09.08-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-bfbd30eb49

Comment 6 Fedora Update System 2018-09-08 09:03:20 UTC
youtube-dl-2018.09.08-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3f0d85c4e1

Comment 7 Fedora Update System 2018-09-08 16:11:55 UTC
youtube-dl-2018.09.08-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-737a515cbb

Comment 8 Fedora Update System 2018-09-09 03:49:09 UTC
youtube-dl-2018.09.08-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3f0d85c4e1

Comment 9 Fedora Update System 2018-09-09 09:19:44 UTC
youtube-dl-2018.09.08-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-de1da47742

Comment 10 Fedora Update System 2018-09-09 09:54:47 UTC
youtube-dl-2018.09.08-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-bfbd30eb49

Comment 11 Fedora Update System 2018-09-09 09:55:38 UTC
youtube-dl-2018.09.08-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-f9e0a23883

Comment 12 Fedora Update System 2018-09-11 17:00:34 UTC
youtube-dl-2018.09.08-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-09-17 03:06:54 UTC
youtube-dl-2018.09.08-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-09-21 05:30:14 UTC
youtube-dl-2018.09.08-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-09-27 02:58:24 UTC
youtube-dl-2018.09.08-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-09-27 04:50:00 UTC
youtube-dl-2018.09.08-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.